concurrent = {{ add_gitlab_runner__config.concurrent_jobs }}
check_interval = 0
connection_max_age = "15m0s"
shutdown_timeout = 0

[session_server]
  session_timeout = {{ add_gitlab_runner__config.session_timeout }}

[[runners]]
  name = "{{ add_gitlab_runner__config.runner_name }}"
  url = "{{ add_gitlab_runner__config.scm_url }}"
  id = {{ id_result.stdout_lines[0] }}
  token = {{ token_result.stdout_lines[0] }}
  token_obtained_at = {{ token_obtained_at_result.stdout_lines[0] }}
  token_expires_at = {{ token_expires_at_result.stdout_lines[0] }}
  executor = "docker"
  [runners.cache]
    MaxUploadedArchiveSize = 0
  [runners.docker]
    tls_verify = false
    image = "{{ add_gitlab_runner__config.default_image }}"
    privileged = {{ add_gitlab_runner__config.privileged | lower }}
    disable_entrypoint_overwrite = false
    oom_kill_disable = false
    disable_cache = false
    volumes = ["/cache","/var/run/docker.sock:/var/run/docker.sock"]
    pull_policy = ["{{ add_gitlab_runner__config.pull_policy }}"]
    shm_size = 0
    network_mtu = 0
